@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix schema: <http://schema.org/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix sosa: <http://www.w3.org/ns/sosa/> .
@prefix ssn-system: <http://www.w3.org/ns/ssn/systems/> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:dfc0e990-fd89-49a8-8f33-35f54d01b90f
    a sh:NodeShape ;
    sh:targetClass sosa:Sensor ;
    sh:node aps:40db38a8-2420-4c02-82f3-9b49c5b172a9 ; # System
    owl:imports aps:40db38a8-2420-4c02-82f3-9b49c5b172a9 ; # System
    dcterms:subject dfgfo:4 ;
    dcterms:title "sensor"@en ; 
    dcterms:description "Device, agent (including humans), or software (simulation) involved in, or implementing, a Procedure. Sensors respond to a stimulus, e.g., a change in the environment, or input data composed from the results of prior Observations, and generate a Result. Sensors can be hosted by Platforms."@en ;
    dcterms:title "Sensor"@de ; 
    dcterms:description "Gerät, Agent (einschließlich Menschen) oder Software (Simulation), die an einem Verfahren beteiligt sind oder es durchführen. Sensoren reagieren auf einen Stimulus, z. B. eine Veränderung in der Umgebung, oder auf Eingabedaten, die aus den Ergebnissen früherer Beobachtungen zusammengestellt werden, und erzeugen ein Ergebnis. Sensoren können von Plattformen gehostet werden."@de ;
    dcterms:creator <https://orcid.org/0000-0002-6793-8533> ;
    dcterms:license <https://spdx.org/licenses/CC-BY-4.0.html> ;
    dcterms:created "2022-04-07"^^xsd:date ;
    sh:property [
        sh:name "hasSystemCapability"@en ;
        sh:description "Relation from a System to a SystemCapability describing the capabilities of the System under certain Conditions."@en ;
        sh:path ssn-system:hasSystemCapability ;
        # sh:minCount 1 ; # keep optional for now
        sh:maxCount 1 ;
        sh:node aps:fb99d1ec-c1e6-4c18-8207-5db2841280d8 ; # Sensor Capability
    ] ;
    owl:imports aps:fb99d1ec-c1e6-4c18-8207-5db2841280d8 ; # Sensor Capability
    sh:property [
        sh:name "location"@en ;
        sh:description "Location of the sensor."@en ;
        sh:path schema:location ;
        # sh:minCount 1 ; # keep optional to enable validating sensor entities not in use.
        sh:maxCount 1 ;
        sh:datatype xsd:string ; 
    ] ;
    sh:property [
        sh:name "observes"@en ;
        sh:description "Relation between a Sensor and an ObservableProperty that it is capable of sensing."@en ;
        sh:path sosa:observes ;
        # sh:minCount 1 ; # keep optional to enable validating sensor entities not in use.
        sh:maxCount 1 ;
        sh:node aps:cf2502d0-d951-467f-8b80-038fccd2809c ; # Property
    ] ;
    owl:imports aps:cf2502d0-d951-467f-8b80-038fccd2809c . # Property